PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->loadHTML()

DOMDocument->loadHTML() -- Load HTML from a string

## Description

class DOMDocument {
bool loadHTML ( string source )
}

The function parses the HTML contained in the string source. Unlike loading XML, HTML does not have to be well-formed to load. This function may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

source

  The HTML string.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Creating a Document

`<?php $doc = DOMDocument::loadHTML("<html><body>Test<br></body></html>"); echo $doc->saveHTML(); $doc = new DOMDocument(); $doc->loadHTML("<html><body>Test<br></body></html>"); echo $doc->saveHTML(); ?>`

## 參考

DOMDocument->loadHTMLFile()
DOMDocument->saveHTML()
DOMDocument->saveHTMLFile()

前一頁 | 內容 | 下一頁
DOMDocument->load() | 上一層 | DOMDocument->loadHTMLFile()